List ads in a workspace
curl --request GET \
--url https://api.revinel.com/v1/workspaces/{workspaceId}/adsimport requests
url = "https://api.revinel.com/v1/workspaces/{workspaceId}/ads"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.revinel.com/v1/workspaces/{workspaceId}/ads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"status": "Pending",
"name": "<string>",
"websiteUrl": "<string>",
"faviconUrl": "<string>",
"reviewedAt": "2023-11-07T05:31:56Z",
"rejectionNote": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"subscription": {
"id": "<string>",
"status": "Trialing",
"cancelAtPeriodEnd": true,
"currentPeriodStart": "2023-11-07T05:31:56Z",
"currentPeriodEnd": "2023-11-07T05:31:56Z",
"paidAmount": 0,
"tier": {
"id": "<string>",
"name": "<string>",
"weight": 123
},
"tierPrice": {
"id": "<string>",
"interval": "Day",
"intervalCount": 0,
"amount": 0,
"currency": "<string>"
},
"advertiser": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
}
}
}
],
"total": 0,
"page": 0,
"perPage": 0,
"pageCount": 0
}{
"defined": true,
"code": "CONFLICT_FIELD",
"status": 409,
"message": "CONFLICT_FIELD",
"data": {
"formErrors": [
"<string>"
],
"fieldErrors": {}
}
}{
"defined": true,
"code": "INPUT_VALIDATION_FAILED",
"status": 422,
"message": "INPUT_VALIDATION_FAILED",
"data": {
"formErrors": [
"<string>"
],
"fieldErrors": {}
}
}Ads (Beta)
List ads in a workspace
GET
/
workspaces
/
{workspaceId}
/
ads
List ads in a workspace
Path Parameters
Query Parameters
Filter by review status.
Available options:
Pending, Approved, Rejected Required range:
1 <= x <= 9007199254740991Response
OK
Show child attributes
Show child attributes
Total rows across all pages.
Required range:
-9007199254740991 <= x <= 9007199254740991The (clamped) page returned.
Required range:
-9007199254740991 <= x <= 9007199254740991Rows per page.
Required range:
-9007199254740991 <= x <= 9007199254740991Total number of pages.
Required range:
-9007199254740991 <= x <= 9007199254740991⌘I